Name:		qubes-core-dom0-vaio-fixes
Version:	1.6.1
Release:	1%{?dist}
Summary:    Additional scripts for supporting suspend on Vaio Z laptops
Requires:   alsa-utils

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

Source0: qubes-core-dom0-linux-4.0.35.tar.gz

%description
Additional scripts for supporting suspend on Vaio Z laptops.

Due to broken Linux GPU drivers we need to do some additional actions during
suspend/resume.

%prep
%setup -q -n qubes-core-dom0-linux-4.0.35

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib64/pm-utils/sleep.d
install -D vaio-fixes/00sony-vaio-audio $RPM_BUILD_ROOT/usr/lib64/pm-utils/sleep.d/
install -D vaio-fixes/99sony-vaio-audio $RPM_BUILD_ROOT/usr/lib64/pm-utils/sleep.d/
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d/
install -D vaio-fixes/snd-hda-intel-sony-vaio.conf $RPM_BUILD_ROOT/etc/modprobe.d/

%files
/usr/lib64/pm-utils/sleep.d/00sony-vaio-audio
/usr/lib64/pm-utils/sleep.d/99sony-vaio-audio
/etc/modprobe.d/snd-hda-intel-sony-vaio.conf

%changelog
* Fri Jun 17 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-linux.git

* Fri Jun 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86264c4
- version 4.0.35

* Fri Jun 17 2022 Simon Gaiser <simon@invisiblethingslab.com> - a92c625
- cpu-microcode-info: Fix alignment

* Fri Jun 17 2022 Simon Gaiser <simon@invisiblethingslab.com> - e9e93a9
- Add cpu-microcode-info

* Fri Apr 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0de4c17
- version 4.0.34

* Fri Apr 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd67b8c
- qubes-dom0-update: Pass --check-only option to the updatevm too

* Fri Apr 15 2022 Ente <ducksource@duckpond.ch> - 48ae5d7
- Make dom0 yum variables available in updatevm

* Fri Apr 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40761c1
- dracut: don't print confusing error on AMD systems

* Wed Dec 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d825cf6
- version 4.0.33

* Wed Dec 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 50204b6
- Indicate that -- marks end of options

* Wed Dec 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 1eb85e6
- Ignore trailing --

* Wed Dec 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - e989986
- qubes-dom0-update: handle -- and metacharacters

* Fri Dec 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aad9944
- version 4.0.32

* Fri Dec 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 146196b
- Disable repo_gpgcheck for dom0 cached repository

* Fri Dec 03 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - bb66f6d
- Fix GPG key for dom0 cached repository

* Fri Dec 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 747eb1d
- dom0-update: do not send --downloadonly option to the updatevm

* Fri Dec 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ec163e
- Reduce dracut verbosity

* Fri Dec 03 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4790f16
- qubes-dom0-update: filter what options are sent to the VM

* Thu Oct 28 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d4b9bdc
- version 4.0.31

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - c1f2122
- Remove old RPM database

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - dfeafae
- Pass GPG keys to UpdateVM

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - fe31443
- Make -e happy

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - d862e6d
- Avoid displaying UpdateVM stderr in dom0

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 0a544ce
- Allow removing TemplateVM packages

* Thu Oct 28 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 6365c76
- Docuemnt that --enablerepo foo is not supported

* Tue May 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c3a572
- version 4.0.30

* Tue May 04 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - efe2c6f
- rpmcanon integration

* Tue May 04 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - d1be4d5
- qubes-dom0-update: improved signature checking

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2e4efa
- version 4.0.29

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3b0c641
- dom0-updates: enforce full signatures+digests package verify mode

* Thu Mar 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 837f2b5
- dom0-updates: drop support for rpm < 4.14

* Tue Jan 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7b72e0
- version 4.0.28

* Tue Jan 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f79c00
- kernel-install: generate initramfs before switching default kernel

* Tue Jan 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 772a37c
- Add .gitlab-ci.yml

* Tue Jan 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b0e3725
- dom0-updates: use 'incoming_dir' for getting freespace

* Tue Jan 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 26e9a67
- Fix from Marek's comments

* Tue Jan 12 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bd3de7e
- dom0-updates: double default max updates bytes

* Tue Jan 12 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ef229a
- dracut: install cirrus and bochs_drm into initramfs on relevant machines

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b35f85
- version 4.0.27

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 89f0062
- qubes-dom0-update: fix missing '&&'

* Sun Jun 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a5c3a7
- version 4.0.26

* Sun Jun 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7bcdbfe
- Prevent failing if cannot set 'update-available' feature

* Sun Jun 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 189ae1c
- Make ShellCheck happy and fix constant expression

* Sun Jun 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c89c033
- Fix typo in qubes-receive-updates

* Sat May 09 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8cb4058
- version 4.0.25

* Sat May 09 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 10149da
- daemon: prevent collisions between port numbers

* Fri Mar 20 2020 hal18000 <hal18000@protonmail.com> - 4276746
- Fix kernel install script clobbering kernel params ending in default=

* Sun Mar 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7985cb
- version 4.0.24

* Sun Mar 15 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 9df920c
- qubes-dom0-update: don't use 'script' if not in interactive mode

* Sun Mar 15 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - cbdeddf
- qubes-dom0-update: support 'list' and 'search' actions

* Sun Feb 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f0d38c
- version 4.0.23

